import numpy as np

import cg

from matrix_mpi import MatrixMPI as Matrix
from vector_mpi import VectorMPI as Vector

n = 1_00
h = 1 / (n - 1)

# Initialisierung der Matrix A und des Vektor f für LGS Au = f
A = Matrix(np.diag(-1 * np.ones(n - 1), k=1) + np.diag(2 * np.ones(n), k=0) + np.diag(-1 * np.ones(n - 1), k=-1))
f = Vector([h ** 2 * 2] * n)

# Toleranz epsilon
tol = 0.001

cg.cg(n, A, f, tol)
